﻿
/* Clean carousel Grid */
.wCourseCard__carousel .carousel-inner {
    margin-left: -4px;
    margin-right: -4px;
    padding: 0;
}

    .wCourseCard__carousel .carousel-inner .col {
        padding: 4px; /* for the shadow*/
    }

    .wCourseCard__carousel .carousel-inner .carousel-item.active {
        display: grid;
    }

.carousel-inner .carousel-item-end.active,
.carousel-inner .carousel-item-next,
.carousel-inner .carousel-item-end,
.carousel-inner .carousel-item-start,
.carousel-inner .carousel-item-start.active,
.carousel-inner .carousel-item-prev {
    display: grid !important;
}


/* Generic Carousel */

.wCourseCard__carousel {
    padding-bottom: 32px;
}

    .wCourseCard__carousel .carousel-indicators {
        bottom: -20px;
    }

        .wCourseCard__carousel .carousel-indicators button {
            width: 10px;
            height: 10px;
            border-radius: 10px !important;
            border: 0;
            background-color: #dee4ec;
        }

            .wCourseCard__carousel .carousel-indicators button:hover, .wCourseCard__carousel .carousel-indicators button:focus, .wCourseCard__carousel .carousel-indicators button:focus-visible {
                background-color: #7e97eb;
            }

            .wCourseCard__carousel .carousel-indicators button.active {
                background-color: #375edf;
            }

    .wCourseCard__carousel .carousel-control-next {
        right: 20px;
    }

    .wCourseCard__carousel .carousel-control-next-icon {
        background-image: url("/images/widgets/carousel-right.svg");
    }

    .wCourseCard__carousel .carousel-control-prev {
        left: 20px;
    }

    .wCourseCard__carousel .carousel-control-prev-icon {
        background-image: url("/images/widgets/carousel-left.svg");
    }

.articles_carousel .carousel-control-next,
.articles_carousel .carousel-control-prev {
    top: inherit;
    bottom: -30px;
}

.upcomingcourses_carousel .carousel-control-next,
.upcomingcourses_carousel .carousel-control-prev {
    top: inherit;
    bottom: -30px;
}

.wCourseCard__carousel .carousel-control-prev {
    left: 5px;
}

.wCourseCard__carousel .carousel-control-next {
    right: 5px;
}

@media (min-width: 992px) {


    .wCourseCard__carousel .carousel-control-prev,
    .wCourseCard__carousel .carousel-control-next {
        top: 175px;
        align-items: normal;
        width: unset;
    }

    .wCourseCard__carousel .carousel-control-prev {
        left: -55px;
    }

    .wCourseCard__carousel .carousel-control-next {
        right: -55px;
    }

    .wCourseCard__carousel .carousel-control-next-icon, .wCourseCard__carousel .carousel-control-prev-icon {
        height: 44px;
        width: 44px;
    }

    .articles_carousel .carousel-control-next,
    .articles_carousel .carousel-control-prev {
        top: 140px;
    }

    .upcomingcourses_carousel .carousel-control-next,
    .upcomingcourses_carousel .carousel-control-prev {
        top: 175px;
    }

    .wCourseCard__carousel .carousel-inner {
        padding: 0;
    }
}

.wCourseCard__carousel.upcomingcourses_carousel .carousel-item > div {
    min-width: 320px;
    min-height: 415px;
}

.wCourseCard__carousel.upcomingcourses_carousel .wCourseCard__card {
    display: flex;
    flex-direction: column;
}

.wCourseCard__carousel.upcomingcourses_carousel .wCourseCard__cardMid {
    flex: 1;
    height: 250px;
}

.wCourseCard__carousel.upcomingcourses_carousel .wCourseCard__cardBottom {
    margin-top: auto;
    align-items: flex-end;
    min-height: 83px;
}

.wCourseCard__carousel.upcomingcourses_carousel .carousel-item {
    grid-gap: 12px;
    grid-template-columns: 1fr 1fr 1fr;
}

@media (max-width: 991px) {
    .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div {
        display: none;
    }

        .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div:first-child,
        .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div:nth-child(2) {
            display: block;
        }

    .wCourseCard__carousel.upcomingcourses_carousel .carousel-item {
        grid-gap: 12px;
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 767px) {
    .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div {
        display: none;
    }

        .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div:first-child,
        .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div:nth-child(2) {
            display: block;
        }

    .wCourseCard__carousel.upcomingcourses_carousel .carousel-item {
        grid-gap: 12px;
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 575px) {
    .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div,
    .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div:nth-child(2) {
        display: none;
    }

        .wCourseCard__carousel.upcomingcourses_carousel .carousel-inner .carousel-item > div:first-child {
            display: block;
        }

    .wCourseCard__carousel.upcomingcourses_carousel .carousel-item {
        grid-gap: 12px;
        grid-template-columns: 1fr;
    }
}
